pkgAcquire::ItemDesc Struct Reference
Acquire system {{{

Represents a single download source from which an item should be downloaded. More...

`#include <apt-pkg/acquire.h>`

Inheritance diagram for pkgAcquire::ItemDesc:
[legend]
Collaboration diagram for pkgAcquire::ItemDesc:
[legend]

## Public Attributes

std::string | URI
| URI from which to download this item.
std::string | Description
| description of this item.
std::string | ShortDesc
| shorter description of this item.
Item * | Owner
| underlying item which is to be downloaded.

## Additional Inherited Members

Public Member Functions inherited from WeakPointable
void | AddWeakPointer (WeakPointable **weakptr)
void | RemoveWeakPointer (WeakPointable **weakptr)
| ~WeakPointable ()

## Detailed Description

Represents a single download source from which an item should be downloaded.

An item may have several associated ItemDescs over its lifetime.

The documentation for this struct was generated from the following file:

- apt-pkg/acquire.h